> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get Password Reset settings

`GET /api/web/v1/settings/passwordreset`

Get the password reset settings. Caller requires the SETTINGS:VIEW permission.

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "allowIgnoreIpAddressForRba": {
      "type": "boolean",
      "description": "Flag indicates if ignore ip address for rba will be allowed or not."
    },
    "authenticators": {
      "type": "array",
      "description": "The list of second factor authenticator types that can be used during a password reset operation.",
      "example": [
        "OTP",
        "TOKEN"
      ],
      "items": {
        "type": "string",
        "description": "The list of second factor authenticator types that can be used during a password reset operation.",
        "example": "[\"OTP\",\"TOKEN\"]",
        "enum": [
          "MACHINE",
          "PASSWORD",
          "EXTERNAL",
          "KBA",
          "TEMP_ACCESS_CODE",
          "OTP",
          "GRID",
          "TOKEN",
          "TOKENCR",
          "TOKENPUSH",
          "FIDO",
          "SMARTCREDENTIALPUSH",
          "PASSWORD_AND_SECONDFACTOR",
          "SMART_LOGIN",
          "IDP",
          "PASSKEY",
          "IDP_AND_SECONDFACTOR",
          "USER_CERTIFICATE",
          "FACE",
          "PASSTHROUGH",
          "MAGICLINK"
        ]
      }
    },
    "challengeSize": {
      "type": "integer",
      "description": "For a KBA authenticator, it is the number of questions that the user must answer--not supported if these settings are part of a Group Policy (not the Global Policy).",
      "format": "int32",
      "example": 4,
      "deprecated": true
    },
    "emailAccount": {
      "type": "boolean",
      "description": "Indicates whether an email should be sent to notify the user account has been locked, unlocked, or an attempt of unlock has occurred.",
      "example": false
    },
    "emailOtpEnabled": {
      "type": "boolean",
      "description": "Indicates if OTP can be sent to email.",
      "example": true
    },
    "enabled": {
      "type": "boolean",
      "description": "Indicates whether password reset is enabled.",
      "example": true
    },
    "groups": {
      "type": "array",
      "description": "Groups that can perform a password reset operation--not supported if these settings are part of a Group Policy (not the Global Policy).",
      "deprecated": true,
      "items": {
        "required": [
          "name"
        ],
        "type": "object",
        "properties": {
          "attribute": {
            "type": "string",
            "description": "The attribute of this group."
          },
          "created": {
            "type": "string",
            "description": "When the group was created.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "directoryDesynced": {
            "type": "boolean",
            "description": "Whether the directory group is desynced. Desynced groups can be deleted.",
            "example": false
          },
          "externalId": {
            "type": "string",
            "description": "The externalId of this group."
          },
          "id": {
            "type": "string",
            "description": "The UUID of this group.  This value is generated when the group is created."
          },
          "lastModified": {
            "type": "string",
            "description": "When the group was last modified.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "name": {
            "type": "string",
            "description": "The name of this group."
          },
          "type": {
            "type": "string",
            "description": "The type of group indicating if this group was synchronized from a directory (LDAP_AD) or was created in Identity as a Service (MGMT_UI).",
            "example": "MGMT_UI",
            "enum": [
              "LDAP_AD",
              "MGMT_UI"
            ]
          }
        },
        "description": "Information returned about a group.",
        "title": "Group"
      }
    },
    "id": {
      "type": "string",
      "description": "ID of the password reset settings."
    },
    "namedPasswordId": {
      "type": "string",
      "description": "The ID of the named password."
    },
    "namedPasswordName": {
      "type": "string",
      "description": "The name of the password.",
      "example": "default"
    },
    "twoSecondFactorRequired": {
      "type": "boolean",
      "description": "Indicates whether two forms of second factor authentication must be completed before a password reset operation can be done.",
      "example": true
    },
    "unlockAccount": {
      "type": "boolean",
      "description": "Indicates whether the user account should be unlocked after a password reset operation is completed.",
      "example": false
    },
    "version": {
      "type": "integer",
      "description": "Indicates the version of this model.",
      "format": "int32",
      "example": 1
    },
    "wrongAnswersAllowed": {
      "type": "integer",
      "description": "For a KBA authenticator, it is the number of questions that the user could answer incorrectly and still be considered a valid response--not supported if these settings are part of a Group Policy (not the Global Policy).",
      "format": "int32",
      "example": 1,
      "deprecated": true
    }
  },
  "description": "Settings used to manage the Password Reset functionality.",
  "title": "PasswordResetSettings"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "SETTINGS:VIEW"
    ]
  }
]
```
